
TYPO3.Fluid - Bug # 59057

Status: Under Review Priority: Must have
Author: Alexander Berl Category: ViewHelpers
Created: 2014-05-23 Assigned To: Bastian Waidelich
Updated: 2014-06-18 Due date:
Has patch: No
Affected Flow version: Git master
Subject: Hidden empty value fields shoud be disabled when related field is disabled
Description

Use case: A form which is used to redisplay a stored entity with some fields (checkbox) being disabled for further edit, where the
current value is checked.
Submit the edit form without changes.

Expected: The value for the disabled checkbox fields stays unchanged

Actual: The empty default value for the fields is submitted, hence the state of the disabled checkbox field changed to unchecked

Solution: AbstractFormFieldViewHelper::renderHiddenFieldForEmptyValue() needs to check if the current field is disabled, and if so,
add this flag to the hidden field

History
#1 - 2014-05-23 13:17 - Bastian Waidelich
- Project changed from TYPO3.Flow to TYPO3.Fluid

Moved to TYPO3.Fluid issue tracker

#2 - 2014-05-23 13:42 - Bastian Waidelich
- Category set to ViewHelpers
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

Good catch! I assign this one to myself so I won't forget it, but my todo list is quite large atm so it will take a while. If anyone feels like pushing a
change, don't let that stop you!! ;)

#3 - 2014-06-18 17:01 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/30817

#4 - 2014-06-18 17:23 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
